Access

List pending workspace invitations

GET
/api/workspaces/{workspaceId}/invitations

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

workspaceId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
invitations*array<>
Example Request
curl -X GET 'https://postbot.example/api/workspaces/string/invitations'
Example Response
{
  "invitations": [
    {
      "id": "string",
      "email": "string",
      "role": "string",
      "teamId": "string",
      "inviterId": "string",
      "status": "string",
      "expiresAt": 0,
      "createdAt": 0
    }
  ]
}

Was this page helpful?